# Method: projects.regions.clusters.delete

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/delete#try-it)

Deletes a cluster in a project. The returned `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.operations#Operation.FIELDS.metadata` will be [ClusterOperationMetadata](https://cloud.google.com/dataproc/docs/reference/rpc/google.cloud.dataproc.v1#clusteroperationmetadata).

### HTTP request

`DELETE https://dataproc.googleapis.com/v1/projects/{projectId}/regions/{region}/clusters/{clusterName}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The ID of the Google Cloud Platform project that the cluster belongs to. |
| `region` | `string` Required. The region in which to handle the request. |
| `clusterName` | `string` Required. The cluster name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `clusterName`: - `dataproc.clusters.delete` |

### Query parameters

| Parameters ||
|---|---|
| `clusterUuid` | `string` Optional. Specifying the `clusterUuid` means the RPC should fail (with error NOT_FOUND) if cluster with specified UUID does not exist. |
| `requestId` | `string` Optional. A unique ID used to identify the request. If the server receives two [DeleteClusterRequest](https://cloud.google.com/dataproc/docs/reference/rpc/google.cloud.dataproc.v1#google.cloud.dataproc.v1.DeleteClusterRequest)s with the same id, then the second request will be ignored and the first `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.operations#Operation` created and stored in the backend is returned. It is recommended to always set this value to a [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier). The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |
| `gracefulTerminationTimeout` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` Optional. The graceful termination timeout for the deletion of the cluster. Indicate the time the request will wait to complete the running jobs on the cluster before its forceful deletion. Default value is 0 indicating that the user has not enabled the graceful termination. Value can be between 60 second and 6 Hours, in case the graceful termination is enabled. (There is no separate flag to check the enabling or disabling of graceful termination, it can be checked by the values in the field). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).